You are not logged in.

#1 2013-04-09 12:36:37

attractedtofire
Member
Registered: 2013-04-09
Posts: 3

[SOLVED] can't compile grass > "Unable to locate includes."

Hello everybody!

I am somewhat stuck at getting QGIS up and running as I am not able to compile grass (https://aur.archlinux.org/packages/grass/).

System is up-to-date Arch64 running 3.8.6-3-ck. I used cower to get the source-files and PKGBUILD from AUR.
makepkg is throwing:

checking for curses.h... no
configure: error: *** Unable to locate curses includes.

curses is of course installed and in /usr/include where it is supposed to be. After unsuccessfully fiddling around for a while I disabled curses-support in the PKGBUILD file (--without-curses) which got me as far as the zlib includes:

checking for zlib.h... no
configure: error: *** Unable to locate zlib includes.

Trying grass7svn got me stuck with the same problems.

If anyone could point me into a direction I would greatly appreciate it.

Many thanks in advance!
a

The full output of makepkg (with and without curses) as well as the respective config.log files can be found here: https://gist.github.com/attractedtofire/5345416

Last edited by attractedtofire (2013-04-12 11:16:37)

Offline

#2 2013-04-09 13:59:00

brebs
Member
Registered: 2007-04-03
Posts: 3,468

Re: [SOLVED] can't compile grass > "Unable to locate includes."

attractedtofire wrote:

curses is of course installed and in /usr/include where it is supposed to be.

Arch handles libcurses in a non-standard way - I actually copied Arch's method smile

So instead of a real library, libcurses.so contains a "redirection":

INPUT(libncursesw.so.5 -ltinfo)

Look in grass' ./configure for the actual test it performs.

Wine has a similar problem, failing to detect ncurses, which I hack in with the admittedly extremely ugly:

sed -i -e "s:{ac_cv_lib_soname_ncurses+:{:" -e 's:\$ac_cv_lib_soname_ncurses:5:' -e 's:\$ac_cv_lib_soname_curses:5:' configure
sed -i -e "19i ac_cv_lib_soname_ncurses=5\nac_cv_lib_soname_curses=5" configure

Offline

#3 2013-04-09 15:47:23

attractedtofire
Member
Registered: 2013-04-09
Posts: 3

Re: [SOLVED] can't compile grass > "Unable to locate includes."

Thanks brebs, I will look into that tomorrow!

Funny enough I got grass to get through "./configure" manually with the exact same settings from the PKGBUILD, namely:

./configure --prefix=/opt --enable-64bit --enable-W11 --with-jpg --with-tiff --with-png --with-tcltk --with-opengl --with-fftw --with-postgres --with-freetype --with-freetype-includes=/usr/include/freetype2 --without-glw --with-nls --with-gdal --with-geos --with-proj-includes=/usr/include --with-proj-libs=/usr/lib --with-proj-share=/usr/share/proj --with-python=/usr/bin/python2-config --with-wxwidgets=/usr/bin/wx-config

Ran through makepkg, which - as far as I understand from the PKGBUILD - does exactly the same, it throws up aforementioned configure-errors.

I eventually ran ./configure and make, went back to the PKGBUILD, removed the build()-section and used makepkg just to turn the compiled source code into a pkg-file. It installed without a problem, will see if it works once qgis finished compiling.

Anyway, I'd really like to understand what is the problem.. hmm

Offline

#4 2013-04-09 17:32:55

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 5,352

Re: [SOLVED] can't compile grass > "Unable to locate includes."

This is very strange. I just tried it myself without any switches, ./configure works if run manually but not in a PKGBUILD. Something that's different in makepkg is making it fail, checking into it further.

Edit, alright, the problem is that makepkg.conf now defines CPPFLAGS. The configure script doesn't like this. For now, just add unset CPPFLAG to the PKGBUILD

Last edited by Scimmia (2013-04-09 17:52:19)

Offline

#5 2013-04-10 15:14:37

attractedtofire
Member
Registered: 2013-04-09
Posts: 3

Re: [SOLVED] can't compile grass > "Unable to locate includes."

Thanks for helping me understand what was going on!
I also left a comment on the issue with syntaxerrormmm, the maintainer of the grass package.

Cheers,
a

Offline

#6 2013-04-10 15:22:14

syntaxerrormmm
Member
From: Italy
Registered: 2008-10-22
Posts: 80
Website

Re: [SOLVED] can't compile grass > "Unable to locate includes."

Scimmia wrote:

Edit, alright, the problem is that makepkg.conf now defines CPPFLAGS. The configure script doesn't like this. For now, just add unset CPPFLAG to the PKGBUILD

Thanks Scimmia for the precious support. I also though that the problem comes from makepkg, since running manually it works without any problems.
I would try your fix for now and rebuild the packages.

Do you think it is a good idea to open a bug in GRASS bugtracker? Or the fix should be local to the PKGBUILD and full stop?

Thanks again, regards,


syntaxerrormmm - Homepage

Offline

#7 2013-04-10 18:16:42

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 5,352

Re: [SOLVED] can't compile grass > "Unable to locate includes."

I can't say for sure, but I'm guessing the problem is right here: # Generated automatically using autoconf version 2.13

version 2.13 was released Jan 1999. Even their version 7 dev branch uses that version. Unbelievable.

Offline

Board footer

Powered by FluxBB